Subject: bug#8420: R: bug#8420: I: bug#8420: dirname

From: "Michele Marigliano" <[email-masked]>
Date: Tue, 5 Apr 2011 11:07:38 +0200

I realize it.
Anyway, I am very sorry for my bad warning.
Thank you very much for your attention.

Bye
Michael

-----Messaggio originale-----
Da: Eric Blake [mailto:[email-masked]] 
Inviato: lunedì 4 aprile 2011 20.40
A: Michele Marigliano
Cc: [email-masked]
Oggetto: Re: bug#8420: I: bug#8420: dirname

On 04/04/2011 11:37 AM, Michele Marigliano wrote:
> At end, I resolved it running the script in this way:
> ./script.sh
> and NOT
> . script.sh (my first run with error).

There is a large difference between sourcing a file in the current shell (.
script.sh, where $0 remains unchanged) and executing a script (./script,
where $0 changes to the script name); and as you discovered, there are a
large number of scripts that are not usable when sourced instead of run as a
script.

At any rate, glad to hear that you got things sorted out.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org